Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-02-2022 09:33:56

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Bonjour.

Sous Debian 9 ( de mémoire ) j'utilisais un programme pour programmer facilement ma radio commande en aéromodélisme.
Le programme s'appelle Companion ( multi version soit Win soit Mac soit Linux ) : https://www.open-tx.org/
Il y a un peu plus de 2 ans ( j'étais sous Debian 9 de mémoire ) j'ai installé Companion 2.1.9.
J'ai réussi à flasher la radio c'est à dire qu'en utilisant un programatteur USBasp j'ai remplacé le firmware de ma radio par un fimware plus évolué écrit sous OpenTx.

Au fil du temps j'ai mis à jour ma Debian pour arriver à la 10 et Companion fonctionnait toujours. Ce Companion me permet de configurer ma radio à partir de mon PC. C'est beaucoup plus facile qu'en faisant les manips directement sur la radio ( pas la même taille d'écran ni la même présentation ).

Puis il y a 3 semaines j'ai décider d'installer Bulleye à la console. Tout c'est très bien passé, sauf que je n'avais plus Companion.
Lors de nombreuses tentatives d'install de Companion j'ai très vite buté sur l'absence de libphonon4_4.10.2-1 et de ses dépendances. D'après ce que j'ai compris libphonon4_4.10.2-1 n'est plus instalable. Donc plus de Companion 2.1.9. Ma radio commande assez ancienne nécessite absolument Companion 2.1.9.

Alors j'ai tenté l'install sur un vieux HD de Debian 10 voire même 9.5. Même soucis. Sous Win Seven j'ai pu installer Companion 2.1.9 après avoir ajouter le pilote USBasp, puis une suite de mauvaises manip a fait que j'ai corrompu l'Eeprom de ma radio.

Il me reste deux possibilités :
- comment disposer de libphonon4_4.10.2-1 et de ses bibiothéques et dépendances sous Debian 11 ( je suis en 64 bits ) ?
- sinon install d'une version Debian 9 sur un HD.

Pour ma radio, j'ai trouvé la mobo de ma radio pour 12,;32 € en Chine. Il me faut donc une install de Companion 2.1.9 sous Debian uniquement.

Merci.

Dernière modification par sagamore.fr (25-02-2022 11:39:04)

Hors ligne

#2 25-02-2022 10:13:43

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Hello,

Sur Debian 11 Bullseye :
J'ai testé de télécharger cette version (la plus récente) : https://www.open-tx.org/2021/07/23/opentx-2.3.14
Pour ensuite, la charger dans gdebi, voici le résultat :
RLMivUNl.png
Pas de paquet libphonon4_4.10.2-1 !
Et une simulation d'installation (être dans le dossier contenant le fichier .deb) :

apt -s install ./companion23_2.3.14_amd64.deb


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Note : sélection de « companion23 » au lieu de « ./companion23_2.3.14_amd64.deb »
Les paquets supplémentaires suivants seront installés :
  libqt5multimedia5-plugins libqt5multimediagsttools5
Les NOUVEAUX paquets suivants seront installés :
  companion23 libqt5multimedia5-plugins libqt5multimediagsttools5
0 mis à jour, 3 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst libqt5multimediagsttools5 (5.15.2-3 Debian:11.2/stable [amd64])
Inst libqt5multimedia5-plugins (5.15.2-3 Debian:11.2/stable [amd64])
Inst companion23 (2.3.14-otx local-deb [amd64])
Conf libqt5multimediagsttools5 (5.15.2-3 Debian:11.2/stable [amd64])
Conf libqt5multimedia5-plugins (5.15.2-3 Debian:11.2/stable [amd64])
Conf companion23 (2.3.14-otx local-deb [amd64])


Je ne vois pas ce qui bloque.


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#3 25-02-2022 10:57:16

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Merci de ta réponse Tawai.
Je suis sous Debian 11.
Ma radio est des années 2010, elle nécessite ABSOLUMENT Companion 2.1.9.
Je sais que le Companion que tu as essayé est le plus récent mais rien ne fonctionnera avec ma radio, cette version de Companion est trop récente et ma radio trop ancienne.

Je viens de télécharger Companion 2.1.9 et j'ai tenté de l'installer avec Gdebi. Toujours pareil .

Hors ligne

#4 25-02-2022 10:58:54

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

C'est un peu comme si je tentais de faire fonctionner " le monde de Sophie " célébre programme qui fonctionnait sous W95 mais plus sous Win 98 W2000 Seven and Co.

Hors ligne

#5 25-02-2022 11:31:53

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Oui, j'avais un peu peur de cette réponse wink

Je ne vois guère de solution à part :
   - soit passer sur Debian 10 Buster où libphonon4 (4.4.10) est encore disponible.
   - soit passer par wine et l'installateur windows de Companion.

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#6 25-02-2022 11:32:26

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

En fait je vois dans ton post Libqt5.
Pour moi il faut Libqt4 sinon Companion 2.1.9 va queutter.
Je crains qu'il me faille utiliser sur un vieux HD Debian 9.

Maintenant si j'achéte une radio récente ( Taranis QX7 par exemple ) alors oui Companion 2.3.14 ( la version la plus récente ) pourra être relié efficacement à ma radio radio récente.

Je veux utiliser un vieux programme ( Companion 2.1.9 ) pour qu'il discute avec ma vieille radio ( Turnigy 9X flashée OpentTX ( supporté par Companion 2.1.9 )) sous Debian 11. En gros monter un moteur de Citroên Xantia sur un Citroên C4 Picasso ). Je me doute du résultat !

Hors ligne

#7 25-02-2022 11:38:36

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Nos réponses se sont croisées.

Wine ? Non merci, déjà essayé. Trop de problèmes et là ça ne rigole pas il y a un programatteur d'Eeprom en bout.
Bizarre j'avais essayé avec Debian 10........souci.

Seule soluce, le vieux HD avec Debian 9 ( en fait un petit ssd qui ne servira qu'à çà ).

Merci pour tes réponses.

Je mets " résolu ".

PS :
Prochaine évolution Debian ( changement de version ) , sur un ssd pour vérifier avant si tout continue à fonctionner.

Hors ligne

#8 25-02-2022 11:44:49

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Re,

J'ai installé Companion 2.1.9 via Lutris (une surcouche à wine et plus) :
PfpDb0Ol.png
D'ailleurs, je te conseille plutôt la solution wine (wine tout seul ou PlayOnLinux ou Lutris) car c'est la pus viable dans le temps wink

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#9 26-02-2022 09:22:27

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

J'ai réinstallé Debian 9 sur un ssd.
Bon il a fallut installer quelques paquets mais ça y est Companion21 2.1.9 est fonctionnel.

Je tenterai l'aventure Wine plus tard. PlayOnLinux j'ai déjà tenté il y a quelques mois.

Merci.

@+

Hors ligne

#10 26-02-2022 11:51:56

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Si tu gardes ton PC avec Debian 9 non connecté, tu n'as aucun risque.
C'est viable dans le temps.
Mais c'est dommage de réserver un telle machine pour si peu.

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#11 26-02-2022 22:07:49

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 11 64 bits Bulleye
Inscription : 23-12-2015
Site Web

Re : libphonon4_4.10.2-1_amd64.deb disparu sur Debian 11 ( résolu )

Ne crois pas çà.
Mon PC date de 10 ans au moins.
Je ne joue plus, juste internet et les mails. Donc plus besoin de machine de course car plus de jeux.
Par contre j'ai besoin d'un PC pour Companion car je me suis lancé dans l'aéromodélisme.
Quelques forums par ci par là.
Mon HD avec Seven n'est pas connecté, pas de risque de me faire avoir et il y a aussi Companion dessus.

À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, il faut alors faire avec. On fait avec ce que l'on peut. !

Hors ligne

Pied de page des forums